define(["require", "exports", "babylonjs", "matter-js"], function (require, exports, BABYLON, Matter) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var Box = /** @class */ (function () {
        function Box(x, y, width, height, depth, isStatic, ratio, matterEngine, scene) {
            this._box = BABYLON.MeshBuilder.CreateBox("box", { width: width, height: height, depth: depth }, scene);
            this._box.position.x = x;
            this._box.position.y = y;
            this._ratio = ratio;
            this._body = Matter.Bodies.rectangle(x * this._ratio, y * this._ratio, width * this._ratio, height * this._ratio, { isStatic: isStatic });
            Matter.World.add(matterEngine.world, this._body);
        }
        Box.prototype.update = function () {
            this._box.position.x = this._body.position.x / this._ratio;
            this._box.position.y = this._body.position.y / this._ratio;
            this._box.rotation.z = this._body.angle;
        };
        return Box;
    }());
    exports.default = Box;
});
//# sourceMappingURL=Box.js.map