define(["require", "exports", "babylonjs", "matter-js"], function (require, exports, BABYLON, Matter) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var Sphere = /** @class */ (function () {
        function Sphere(x, y, diameter, isStatic, ratio, matterEngine, scene) {
            this._sphere = BABYLON.MeshBuilder.CreateSphere("sphere", { diameter: diameter }, scene);
            this._sphere.position.x = x;
            this._sphere.position.y = y;
            this._ratio = ratio;
            this._body = Matter.Bodies.circle(x * this._ratio, y * this._ratio, diameter / 2 * this._ratio, { isStatic: isStatic });
            Matter.World.add(matterEngine.world, this._body);
        }
        Sphere.prototype.update = function () {
            this._sphere.position.x = this._body.position.x / this._ratio;
            this._sphere.position.y = this._body.position.y / this._ratio;
            this._sphere.rotation.z = this._body.angle;
        };
        return Sphere;
    }());
    exports.default = Sphere;
});
//# sourceMappingURL=Sphere.js.map